- Qt 6.8
- Qt QML Core
- QML Types
- BluetoothPermission
- Qt 6.8.0 Reference Documentation

# BluetoothPermission QML Type

Access to the user's Bluetooth peripherals. More...

Import Statement: | import QtCore
Since: | Qt 6.6

- List of all members, including inherited members

## Properties

- status : Qt::PermissionStatus

## Methods

- request()

## Detailed Description

This type represents a QBluetoothPermission, and can be used to check the status of and request access to the user's Bluetooth peripherals.

See QBluetoothPermission for documentation of the individual properties and detailed usage requirements.

See also QML Application Permissions, Application Permissions, and QBluetoothPermission.

## Property Documentation

status : Qt::PermissionStatus

This property holds the current status of the permission.

See also QCoreApplication::checkPermission.

## Method Documentation

request()

Requests the permission with its current properties.

See also QCoreApplication::requestPermission.